function counties_sorted = county_data(nCounties)

counties = shaperead('tl_2009_us_county.shp', 'UseGeoCoords', true);

% Sort shapefile
for k = 1:size(counties, 1)
    countyfips(k, 1) = str2num(counties(k, 1).COUNTYFP);
    statefips(k, 1) = str2num(counties(k, 1).STATEFP);
end

fips = statefips*1000+countyfips;

for k = 1:size(counties, 1)
    counties(k, 1).fips = fips(k, 1);
end

[counties_sorted] = sortStruct(counties, 'fips');
counties_sorted = counties_sorted(1:nCounties,1);